org.eclipse.oomph.internal.setup.pde

## Class PDEPlugin

- java.lang.Object
- - org.eclipse.emf.common.util.DelegatingResourceLocator
  - - org.eclipse.emf.common.EMFPlugin
    - - org.eclipse.oomph.internal.setup.pde.PDEPlugin

- All Implemented Interfaces:
    Logger, ResourceLocator

      public final class PDEPlugin
      extends EMFPlugin

  This is the central singleton for the PDE model plugin.
  Generated

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PDEPlugin.Implementation` The actual implementation of the Eclipse Plugin.

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin

      `EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper, EMFPlugin.OSGiDelegatingBundleActivator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PDEPlugin` | `INSTANCE` Keep track of the singleton.

    - ### Fields inherited from class org.eclipse.emf.common.EMFPlugin

      `delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

    - ### Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

      `baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDEPlugin()` Create the instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PDEPlugin.Implementation` | `getPlugin()` Returns the singleton instance of the Eclipse plugin.
    `ResourceLocator` | `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin.
    `static <T> T` | `getService(Class<T> serviceClass)`
    `static void` | `ungetService(Object service)`

    - ### Methods inherited from class org.eclipse.emf.common.EMFPlugin

      `getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

    - ### Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

      `delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator

      `getBaseURL, getImage, getString, getString, getString, getString`

- - ### Field Detail

    - #### INSTANCE

          public static final PDEPlugin INSTANCE

      Keep track of the singleton.
      Generated

  - ### Constructor Detail

    - #### PDEPlugin

          public PDEPlugin()

      Create the instance.
      Generated

  - ### Method Detail

    - #### getService

          public static <T> T getService(Class<T> serviceClass)

    - #### ungetService

          public static void ungetService(Object service)

    - #### getPluginResourceLocator

          public ResourceLocator getPluginResourceLocator()

      Returns the singleton instance of the Eclipse plugin.
      Specified by:
        `getPluginResourceLocator` in class `EMFPlugin`
      Returns:
        the singleton instance.
      Generated

    - #### getPlugin

          public static PDEPlugin.Implementation getPlugin()

      Returns the singleton instance of the Eclipse plugin.
      Returns:
        the singleton instance.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html